Assets

Get bulk import batch status

Returns progress for a batch created via POST /upload/from-urls. Only the user who created the batch may view its status.

GET
/upload/imports/{batch_id}

Authorization

token_auth
AuthorizationBearer <token>

Token-based authentication using access tokens.

In: header

Path Parameters

batch_id*string

Response Body

application/json

application/json

curl -X GET "https://v2.api.piktid.com/upload/imports/string"
{
  "batch_id": "string",
  "total": 0,
  "completed": 0,
  "failed": 0,
  "finished": 0,
  "status": "string",
  "items": [
    {
      "url": "string",
      "source": "string",
      "filename": "string",
      "status": "string",
      "asset_id": "string",
      "error": "string"
    }
  ]
}
{
  "error": "Invalid request",
  "detail": [
    {
      "field": null,
      "message": "string",
      "position": "query"
    }
  ]
}
Empty